<?php
/**
 * Open Source Social Network
 *
 * @package   Dominik Lieger
 * @author    Dominik Lieger
 * @copyright Dominik Lieger
 * @license   GPL v2 https://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 * @link      
 */

function new_sexuality_init() {
    ossn_add_hook('user', 'default:fields', 'new_sexuality');
    ossn_add_hook('action', 'before', 'validate_sexuality');
}

function new_sexuality($hook, $type, $fields) {
    // Remove the existing 'sexuality' field if it exists
    $toremove = array('sexuality');
    $return = ossn_remove_field_from_fields($toremove, $fields);

    // Add the new 'sexuality' field with options
    $return['required']['dropdown'][] =  array(
	    'display_on_about_page' => true,
        'label' => ossn_print('sexuality'),

        'name' => 'sexuality',
        'options' => array(
        '' => ossn_print('please_choose_sexuality'), // Placeholder option
		'gay' => ossn_print('gay'),
		'lesbian' => ossn_print('lesbian'),
		'straight' => ossn_print('straight'),
		'bisexual' => ossn_print('bisexual'),
		'androsexual' => ossn_print('androsexual'),
		'asexual' => ossn_print('asexual'),
		'grayasexual' => ossn_print('grayasexual'),
		'gynosexual' => ossn_print('gynosexual'),
		'pansexual' => ossn_print('pansexual'),
		'polysexual' => ossn_print('polysexual'),
		'skoliosexual' => ossn_print('skoliosexual'),
		'queer' => ossn_print('queer'),
		'unsure' => ossn_print('unsure')

        )
    );

    return $return;
}

function validate_sexuality() {
    ?>
    <script>
    document.addEventListener("DOMContentLoaded", function() {
        document.getElementById('ossn-profile-edit').addEventListener('submit', function(event) {
            var sexuality = document.getElementById('sexuality').value;
            if (sexuality === '') {
                alert('Please choose your sexuality');
                event.preventDefault();
            }
        });
    });
    </script>
    <?php
}

// Register the initialization function
ossn_register_callback('ossn', 'init', 'new_sexuality_init', 1000);
?>
